# Website Front pour Banquise

Ce projet est une application web React développée avec Vite, TypeScript et TailwindCSS.

## Architecture du Projet

```
website-front/
├── banquise-website/       # Application React principale
│   ├── public/             # Fichiers statiques
│   ├── src/                # Code source
│   │   ├── assets/         # Images et ressources
│   │   ├── App.tsx         # Composant principal
│   │   └── main.tsx        # Point d'entrée de l'application
│   ├── index.html          # Template HTML principal
│   ├── package.json        # Configuration des dépendances
│   ├── tsconfig.json       # Configuration TypeScript
│   ├── vite.config.ts      # Configuration Vite
│   └── tailwind.config.js  # Configuration TailwindCSS
└── shell.nix              # Configuration pour environnement Nix
```

## Technologies Utilisées

- **React 18** - Bibliothèque d'interface utilisateur
- **TypeScript** - Langage de programmation typé
- **Vite** - Outil de build et serveur de développement
- **TailwindCSS** - Framework CSS utilitaire
- **React Router** - Navigation entre les pages
- **Zustand** - Gestion d'état
- **React Query** - Gestion des requêtes API
- **Framer Motion** - Animations

## Pré-requis

- Node.js (v16.0.0 ou supérieur)
- npm ou yarn

## Installation

```bash
# Se déplacer dans le dossier du projet
cd banquise-website

# Installer les dépendances
npm install
# ou avec yarn
yarn
```

## Scripts Disponibles

- `npm run dev` - Lance le serveur de développement
- `npm run build` - Compile le projet pour la production
- `npm run preview` - Prévisualise la version de production localement
- `npm run lint` - Vérifie la qualité du code avec ESLint

## Déploiement

### Compilation pour la Production

```bash
npm run build
```

Cette commande générera un dossier `dist` dans le répertoire `banquise-website/` contenant tous les fichiers optimisés pour la production.